MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031599Open CASCADE[OCCT] OCCT:Visualizationpublic2020-06-04 15:052020-06-20 13:42
Reportermzernova 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0* 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031599: Visualization - when using AIS_Manipulator, the scene rotates at the same time
DescriptionWhen using the vmanipulator command with the startTransform / transform / stopTransform flags, the manipulator works correctly, but if you perform the same actions with the mouse, the whole scene rotates with the local transformation.

The reason is that #0029384 swapped order of handleCameraActions() and handleMoveTo() actions. It is necessary fixing regression, as well as ensuring that dragging works properly in XR.

void AIS_ViewController::HandleViewEvents (const Handle(AIS_InteractiveContext)& theCtx,
                                           const Handle(V3d_View)& theView)
{
-  handleMoveTo (theCtx, theView);
  const bool wasImmediateUpdate = theView->SetImmediateUpdate (false);

  const AIS_WalkDelta aWalk = FetchNavigationKeys (1.0, 1.0);
  handleCameraActions (theCtx, theView, aWalk);

+  handleMoveTo (theCtx, theView);
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0092498)
git (administrator)
2020-06-06 19:26

Branch CR31599 has been created by kgv.

SHA-1: 2c5238d5eef39681038b5423d92e6c50428da5d7


Detailed log of new commits:

Author: kgv
Date: Sat Jun 6 19:13:28 2020 +0300

    0031599: Visualization - when using AIS_Manipulator, the scene rotates at the same time
    
    AIS_ViewController::HandleViewEvents() - reverted order of handleMoveTo() and handleCameraActions() events.
(0092500)
kgv (developer)
2020-06-06 23:51

Please raise the patch in OCCT branch CR31599.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31599-master-KGV/ [^]
(0092611)
git (administrator)
2020-06-20 13:42

Branch CR31599 has been deleted by inv.

SHA-1: 2c5238d5eef39681038b5423d92e6c50428da5d7

- Related Changesets
occt: master a7400019
Timestamp: 2020-06-06 16:13:28
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031599: Visualization - when using AIS_Manipulator, the scene rotates at the same time

AIS_ViewController::HandleViewEvents() - reverted order of handleMoveTo() and handleCameraActions() events.
mod - src/AIS/AIS_ViewController.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-06-04 15:05 mzernova New Issue
2020-06-04 15:05 mzernova Assigned To => kgv
2020-06-04 15:07 kgv Relationship added child of 0029384
2020-06-04 15:07 kgv Product Version => 7.5.0*
2020-06-04 15:07 kgv Severity minor => major
2020-06-04 15:10 kgv Description Updated View Revisions
2020-06-04 15:23 mzernova Summary Visualization - when using AIS_Manipulatot, the scene rotates at the same time => Visualization - when using AIS_Manipulator, the scene rotates at the same time
2020-06-06 19:26 git Note Added: 0092498
2020-06-06 23:51 kgv Note Added: 0092500
2020-06-06 23:51 kgv Assigned To kgv => bugmaster
2020-06-06 23:51 kgv Severity major => trivial
2020-06-06 23:51 kgv Status new => resolved
2020-06-07 00:34 kgv Status resolved => reviewed
2020-06-14 10:52 bugmaster Changeset attached => occt master a7400019
2020-06-14 10:52 bugmaster Status reviewed => verified
2020-06-14 10:52 bugmaster Resolution open => fixed
2020-06-14 10:53 bugmaster Test case number => Not required
2020-06-20 13:42 git Note Added: 0092611


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker